湘潭赵氏族谱网>>小憩驿站

 主题:Netbeans升级后项目编译出错

赵永红  发表于2018-11-26 17:21:20.0


 

Oracle忽然加快JDK版本推出速度,一年左右整出来Jav9,Java10,Java11,Netbeans也跑到9.0,实际上由于8.2对android支持不够,我这更多时候用的是8.1的plug-in。 升到netbeans9.0,导入旧项目,会发现build/rebuild都没问题,但是Unable to find package java.lang in classpath or bootclasspath,源代码编辑时候错误显示。 如果切换回老的netbeans,同样挂。 这个时候Clean and rebuild project是没用。。。 得去删光cache(因此会丧失本机的历史修改版本) 对于Windows下,去C:\Users\userName\AppData\Local\NetBeans\Cache,删除相应版本的cache。 对于netbeans9,还会提示安装nb-javac api[1.4]

 


用文本帖子回复 用图文帖子回复
用 户 名           密 码     新用户注册
标    题  
标题图标  
无图标 原创 转贴 文章 问题 主意 请进 注意
帖子内容